Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030053
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2015-05-30 20:062015-11-14 13:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revisioncb3442689716
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030053: Cleanup local unused variables warning

DescriptionEclipse has useful warning showing local (private) variables which are never used.

As those are not useful they should be cleaned up.

Note:
2 common special cases:
a.) serialVersionUID constant normally used together with Seriablizable classes
b.) Defined but unused log4j (or other) logger
Steps To ReproduceCheck eclipse warning related to 'Unused local variables'
Proposed SolutionRecheck and delete those unused local variables definitions.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030055 closedshuehner Cleanup all eclipse warnings in src-trl 
blocks feature request 0031477 newshuehner Tracking issue to reduce the huge number of eclipse warnings in pi 

-  Notes
(0077932)
hgbot (developer)
2015-06-01 13:09

Repository: erp/devel/pi
Changeset: adda5d230a5e9857cff59ca2a92b3f2d7224bd70
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat May 30 20:07:50 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/adda5d230a5e9857cff59ca2a92b3f2d7224bd70 [^]

Issue 30053. Part 1: Cleanup unnecessary serialVersionUID variables.

Those definitions are not useful in this cases and the classes they are in
are not serializable.

So instead of special feature related to Serialization in this cases just a
local unused variable.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/BaseDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServiceProvider.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ModelDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ReadOnlyDataSourceService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/QueryBuilder.java
M src/org/openbravo/base/provider/OBProviderConfigReader.java
M src/org/openbravo/erpCommon/ad_forms/DocAmortizationTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocBankTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocCashTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocDPManagementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocDoubtfulDebt.java
M src/org/openbravo/erpCommon/ad_forms/DocDoubtfulDebtTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINBankStatement.java
M src/org/openbravo/erpCommon/ad_forms/DocFINBankStatementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransaction.java
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransactionTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPayment.java
M src/org/openbravo/erpCommon/ad_forms/DocFINPaymentTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliation.java
M src/org/openbravo/erpCommon/ad_forms/DocFINReconciliationTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocGLJournalTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInOutTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInventoryTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocInvoiceTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocLCCostTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocLandedCostTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocMatchInvTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocMovementTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocOrderTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocPaymentTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocProductionTemplate.java
M src/org/openbravo/erpCommon/ad_forms/TranslationManager.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/service/rest/DalWebService.java
---
(0077933)
hgbot (developer)
2015-06-01 13:09

Repository: erp/devel/pi
Changeset: 4408556e4cb4795c32230a10783ec66d96a23fcc
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat May 30 20:29:02 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/4408556e4cb4795c32230a10783ec66d96a23fcc [^]

Issue 30053. Part 2: Cleanup unnecessary slf4j / log4j loggers

Remove those where they are private and never used in the file.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/MatchStatementOnLoadPreferenceActionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/event/FIN_FinaccTransactionEventListener.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/PaymentSelectorFilterExpression.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TableTreeEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/GetNameGeneralLedger.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/GetLabelActionHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/SetContextInfoActionHandler.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/CalendarWidgetProvider.java
M src/org/openbravo/erpCommon/ad_forms/DocFINFinAccTransactionTemplate.java
M src/org/openbravo/erpCommon/ad_forms/DocLine_FINPayment.java
M src/org/openbravo/erpCommon/utility/LeftTabsBar.java
M src/org/openbravo/erpCommon/utility/NavigationBar.java
M src/org/openbravo/erpCommon/utility/ToolBar.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintInvoices.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintOrders.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintQuotations.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintShipments.java
M src/org/openbravo/service/system/ApplicationDictionaryValidator.java
---
(0077934)
hgbot (developer)
2015-06-01 13:09

Repository: erp/devel/pi
Changeset: cb3442689716bd0651bfa4e375ffbc4e0a0e625c
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat May 30 20:59:23 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/cb3442689716bd0651bfa4e375ffbc4e0a0e625c [^]

Issue 30053. Part 3: Delete local unused variables (easy cases)

This removes unused local variables / fields for all the easy cases.
Where there is no user besides the variables declaration/init and
where it is clear that just deleting it is the right thing to do (so
no doubt it should be used instead of deleting it)

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/PaymentProposalPickEditLines.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/PaymentSelectorFilterExpression.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ReconciliationProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M src-core/src/org/openbravo/xmlEngine/XmlVectorValue.java
M src-test/src/org/openbravo/test/dal/DalPerformanceExampleTest.java
M src-wad/src/org/openbravo/wad/Wad.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/common/actionhandler/RMInOutPickEditLines.java
M src/org/openbravo/common/actionhandler/RMShipmentPickEditLines.java
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom.java
M src/org/openbravo/erpCommon/ad_actionButton/EditCCPMeasureValues.java
M src/org/openbravo/erpCommon/ad_callouts/SL_Asset_Product.java
M src/org/openbravo/erpCommon/ad_callouts/SL_PC_Case_Product.java
M src/org/openbravo/erpCommon/ad_process/DeleteClient.java
M src/org/openbravo/erpCommon/ad_process/ResetAccountingProcess.java
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_legacy.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/event/InvoiceLineEventHandler.java
M src/org/openbravo/event/MInOutLineEventHandler.java
---
(0077941)
shuehner (administrator)
2015-06-01 13:15

Mark as manually resolved as rest of still open warnings will be fixed in separate issue.
(0077963)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test
(0077964)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test
(0077965)
hudsonbot (developer)
2015-06-02 03:42

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/14de467bd788 [^]
Maturity status: Test
(0078056)
alostale (developer)
2015-06-04 12:25

code reviewed

- Issue History
Date Modified Username Field Change
2015-05-30 20:06 shuehner New Issue
2015-05-30 20:06 shuehner Assigned To => platform
2015-05-30 20:06 shuehner Modules => Core
2015-05-30 20:06 shuehner Triggers an Emergency Pack => No
2015-05-30 21:35 shuehner Assigned To platform => shuehner
2015-06-01 13:09 hgbot Checkin
2015-06-01 13:09 hgbot Note Added: 0077932
2015-06-01 13:09 hgbot Checkin
2015-06-01 13:09 hgbot Note Added: 0077933
2015-06-01 13:09 hgbot Checkin
2015-06-01 13:09 hgbot Note Added: 0077934
2015-06-01 13:10 shuehner Review Assigned To => alostale
2015-06-01 13:15 shuehner Status new => scheduled
2015-06-01 13:15 shuehner Note Added: 0077941
2015-06-01 13:15 shuehner Status scheduled => resolved
2015-06-01 13:15 shuehner Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/cb3442689716bd0651bfa4e375ffbc4e0a0e625c [^]
2015-06-01 13:15 shuehner Resolution open => fixed
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077963
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077964
2015-06-02 03:42 hudsonbot Checkin
2015-06-02 03:42 hudsonbot Note Added: 0077965
2015-06-04 12:24 alostale Relationship added related to 0030055
2015-06-04 12:25 alostale Note Added: 0078056
2015-06-04 12:25 alostale Status resolved => closed
2015-06-04 12:25 alostale Fixed in Version => 3.0PR15Q3
2015-11-14 13:02 shuehner Relationship added blocks 0031477


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker